<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~mrna_registration.js" 
	styles="path.css,~../css/reggie-2.css"
	>
<style>
.date-col
{
	width: 12em;
}

.operator-col input
{
	width: 100%;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="mRNA registration and quality control results" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">

	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select mRNA bioplate</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="prompt">mRNA bioplate</td>
				<td class="input">
					<select class="required" name="bioplate" id="bioplate"></select>
				</td>
				<td class="status" id="bioplate.status"></td>
				<td class="help">
					<span id="bioplate.message" class="message"></span>
					Select an existing mRNA bioplate. The list contain all mRNA bioplates that
					has been diluted, but not yet registered as completed (determined by the absence of a 
					'creation' date).
				</td>
			</tr>
			<tr>
				<td class="prompt">Outcome</td>
				<td class="input">
					<label><input type="radio" name="outcome" id="outcomeSuccess" 
						checked>Success</label> - continue processing to cDNA<br>
					<label><input type="radio" name="outcome" id="outcomeFailed" 
						>Failure</label> - no further processing to cDNA
				</td>
				<td class="status"></td>
				<td class="help">
					Select the <b>Failure</b> option if further processing to cDNA is not possible.
					No child cDNA plate will be created and existing RNA will be flagged and added
					to the <b>Flagged RNA</b> list.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">mRNA preparation information</div>
		<div class="step-content">
		
			<table class="step-form">
			<tr>
				<td class="prompt">Step</td>
				<td class="date-col"><b>Date</b></td>
				<td class="operator-col"><b>Operator</b></td>
				<td class="status"></td>
				<td class="help" rowspan="4">
					Enter date and operator for each step in the mRNA preparation.
					(YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr>
				<td class="subprompt">Purification</td>
				<td class="date-col">
					<input type="text" name="purificationDate" id="purificationDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="purificationOperator"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="purificationDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="purificationDate"
							data-date-format="yyyyMMdd"
							data-title="Purification date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="operator-col">
					<input type="text" name="purificationOperator" id="purificationOperator" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="fragmentationDate"
						value="<%=HTML.encodeTags(user.getName())%>" maxlength="255">
				</td>
				<td class="status" id="purificationDate.status"></td>
			</tr>
			<tr>
				<td class="subprompt">Fragmentation</td>
				<td class="date-col">
					<input type="text" name="fragmentationDate" id="fragmentationDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="fragmentationOperator"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="fragmentationDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="fragmentationDate"
							data-date-format="yyyyMMdd"
							data-title="Fragmentation date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="operator-col">
					<input type="text" name="fragmentationOperator" id="fragmentationOperator"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="cleanupOperator"
						value="<%=HTML.encodeTags(user.getName())%>" maxlength="255">
				</td>
				<td class="status" id="fragmentationDate.status"></td>
			</tr>
			<tr>
				<td class="subprompt">Cleanup</td>
				<td class="date-col">
					<input type="text" name="cleanupDate" id="cleanupDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="cleanupOperator"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="cleanupDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="cleanupDate"
							data-date-format="yyyyMMdd"
							data-title="Cleanup date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="operator-col">
					<input type="text" name="cleanupOperator" id="cleanupOperator" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="pdf"
						value="<%=HTML.encodeTags(user.getName())%>" maxlength="255">
				</td>
				<td class="status" id="cleanupDate.status"></td>
			</tr>
			<tr class="align-top">
				<td class="prompt">BA PDF file</td>
				<td class="input" colspan="2">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text required" type="text" name="pdf" id="pdf" 
							data-subtype="BIOANALYZER_PDF" data-name-filter="%.pdf"
							data-directory="/home/SCANB/MRnaPlateQC"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="pdf.btn"
						/>
					</td>
					</tr>
					</table>
				</td>
				<td class="status" id="pdf.status"></td>
				<td class="help"><span id="pdf.message" class="message"></span>
					Select the <b>BioAnalyzer PDF file</b> that contains a printout with diagrams and other
					useful documentation.
				</td>
			</tr>
			<tr>
				<td class="prompt">Protocol</td>
				<td class="input" colspan="2">
					<select name="mrnaProtocol" id="mrnaProtocol" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="comments"
						></select>
				</td>
				<td class="status" id="mrnaProtocol.status"></td>
				<td class="help">
					<span id="mrnaProtocol.message" class="message"></span>
					Select the protocol which was used in the mRNA preparation.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input" colspan="2">
					<textarea rows="4" name="comments" id="comments"></textarea></td>
				<td class="status" id="comments.status"></td>
				<td class="help">
					<span id="comments.message" class="message"></span>
					Comments about the mRNA processing.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>